ODK API Portal
한국어
  • Overview
  • MediaIO
  • Continue Watching
  • Player Event
  • Deprecated
  • Recent changes
Information
apple
category
channels
check-region
client-base
client-log
config
contact-us
cover
curation
epg
episode
episodes
fast-channel
firetv
google
live-tv
navigation
notice
otp
page
payment
playback-log
playback
profile
program
programs
    카테고리/장르별 프로그램 목록get카테고리별 인기 프로그램 목록get
promotion-banner
reward
samsung
search
shorts
sponsor
tv-guide
user
visio-amasian-feed
Schemas
powered by Zudoku
ODX API v3
ODX API v3

programs


카테고리/장르별 프로그램 목록

GET
https://odkmedia.io
/odx/api/v3/programs/

Program list for a category/genre grid.

Discover (ODKR shorts): when categories__slug=discover, this endpoint returns shorts episodes instead of programs. Each item has type=shorts, slug=episode slug (use as start_slug for /shorts/feed/), images.thumbnail=shorts thumbnail, and content_description=source program title. genres__slug and order (popular|latest) apply the same as the normal grid. Only published shorts are returned.

카테고리/장르별 프로그램 목록 › query Parameters

debug
​string

If value is "on", debug is included in response.

categories
​integer[]

프로그램 카테고리 ID.

categories__slug
​string

프로그램 카테고리 slug.

genres
​integer[]

프로그램 장르 ID.

genres__slug
​string

프로그램 장르 slug.

order
​string

정렬 기준. popular 는 popular-yesterday 와 동일하게 처리된다.

ordering
​string

Which field to use when ordering the results.

page
​integer

A page number within the paginated result set.

page_size
​integer

Number of results to return per page.

provider
​string

프로그램 제공사 slug (ODK 전용, 예: mbc, sbs, kbs). categories__slug=drama 와 함께 provider=etc 를 보내면 KBS/MBC/SBS/JTBC/채널A/TV조선/MBN 을 제외한 나머지 프로그램을 반환한다.

release_status
​string

프로그램 공개 상태.

search
​string

A search term.

subtitles
​string

프로그램 자막(cc) 언어.

카테고리/장르별 프로그램 목록 › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

카테고리/장르별 프로그램 목록 › Responses

200
PaginatedOdxV3ProgramsList
count
​integer
next
​string | null · uri
previous
​string | null · uri
​OdxV3Programs[]
GET/odx/api/v3/programs/
curl https://odkmedia.io/odx/api/v3/programs \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>'
Example Responses
{ "count": 123, "next": "http://api.example.org/accounts/?page=4", "previous": "http://api.example.org/accounts/?page=2", "results": [ { "badges": "badges", "content_description": "content_description", "id": 0, "images": { "poster": "https://www.example.com/path/to/resource", "poster_landscape": "https://www.example.com/path/to/resource", "poster_portrait": "https://www.example.com/path/to/resource" }, "is_favorite": true, "kinds_of_episodes": "kinds_of_episodes", "latest_publish_start": "latest_publish_start", "people": [ { "info": {}, "name": "name", "role": "role", "slug": "slug" } ], "publish_start": "2024-08-25T15:00:00Z", "slug": "slug", "type": "type" } ] }
json
application/json

카테고리별 인기 프로그램 목록

GET
https://odkmedia.io
/odx/api/v3/programs/trending-now/

카테고리별 인기 프로그램 목록 조회

GET /odx/api/v3/programs/trending-now/?category_slug=variety&date=2025-12-02

카테고리별 인기 프로그램 목록 › query Parameters

debug
​string

If value is "on", debug is included in response.

ordering
​string

Which field to use when ordering the results.

page
​integer

A page number within the paginated result set.

page_size
​integer

Number of results to return per page.

search
​string

A search term.

카테고리별 인기 프로그램 목록 › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

카테고리별 인기 프로그램 목록 › Responses

200
PaginatedOdxV3ProgramsList
count
​integer
next
​string | null · uri
previous
​string | null · uri
​OdxV3Programs[]
GET/odx/api/v3/programs/trending-now/
curl https://odkmedia.io/odx/api/v3/programs/trending-now \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>'
Example Responses
{ "count": 123, "next": "http://api.example.org/accounts/?page=4", "previous": "http://api.example.org/accounts/?page=2", "results": [ { "badges": "badges", "content_description": "content_description", "id": 0, "images": { "poster": "https://www.example.com/path/to/resource", "poster_landscape": "https://www.example.com/path/to/resource", "poster_portrait": "https://www.example.com/path/to/resource" }, "is_favorite": true, "kinds_of_episodes": "kinds_of_episodes", "latest_publish_start": "latest_publish_start", "people": [ { "info": {}, "name": "name", "role": "role", "slug": "slug" } ], "publish_start": "2024-08-25T15:00:00Z", "slug": "slug", "type": "type" } ] }
json
application/json

programpromotion-banner